<template>
  <div>
    <div>
      <b-button-group>
        <b-button
          v-for="(filter, id) in filters"
          :key="id"
          :pressed.sync="filter.state"
          variant="outline-primary"
          @click="setFilters(filter)"
        >
          {{ filter.label }}
        </b-button>
      </b-button-group>
    </div>
  </div>
</template>

<script>
export default {
  name: 'TableFilters',

  props: {
    filterName: {
      type: String,
      default: ''
    }
  },

  data() {
    return {
      filters: [
        {
          label: 'Actif',
          status: '2',
          state: true,
        },
        {
          label: 'En attente de validation',
          status: '1',
          state: false,
        },
        {
          label: 'En attente de vérification',
          status: '0',
          state: false,
        }
      ]
    }
  },

  watch: {
    filters: {
      deep: true,
      handler(newValue) {
        this.$emit('filter', {
          values: newValue,
          filter: this.filterName
        });
      }
    }
  },

  methods: {
    setFilters(e) {
      for (let filter of this.filters) {
        if (filter.label !== e.label) {
          filter.state = false;
        }
      }
    }
  }

}
</script>

<style lang="less" scoped>

.btn-outline-primary {
  box-shadow: none !important;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

</style>
